Modify email
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.
The end user needs to provide corresponding verification means to modify the email address on his own, see [Initiate verification request for modifying email address](#tag/user information/API%20list/operation/ProfileV3Controller_verifyUpdateEmailRequest). This parameter requires a one-time temporary credential updateEmailToken, which needs to be obtained from the Initiate verification request for modifying email address interface.
Method name
AuthenticationClient.update_email
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| updateEmailToken | string | Yes | - | Token used to temporarily modify the mailbox, which can be obtained from the Initiate verification request to modify the mailbox interface. | xxxx |
Request response
Type: CommonResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}